Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class CSSEngine.StyleDeclarationDocumentHandler

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.DocumentAdapter
          org.apache.batik.css.engine.CSSEngine.StyleDeclarationDocumentHandler

All Implemented Interfaces:
  DocumentHandler, ShorthandManager.PropertyHandler

Enclosing class:
  CSSEngine

protected class CSSEngine.StyleDeclarationDocumentHandler
extends CSSEngine.DocumentAdapter
implements ShorthandManager.PropertyHandler

To parse a style declaration.

Field Summary
`StyleMap` | `styleMap`

Constructor Summary
`protected` | `CSSEngine.StyleDeclarationDocumentHandler()`

Method Summary
`void` | `property(java.lang.String name, LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

Methods inherited from class org.apache.batik.css.engine.CSSEngine.DocumentAdapter
`comment, endDocument, endFontFace, endMedia, endPage, endSelector, ignorableAtRule, importStyle, namespaceDeclaration, startDocument, startFontFace, startMedia, startPage, startSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleMap

    public StyleMap styleMap

Constructor Detail

### CSSEngine.StyleDeclarationDocumentHandler

    protected CSSEngine.StyleDeclarationDocumentHandler()

Method Detail

### property

    public void property(java.lang.String name,
                         LexicalUnit value,
                         boolean important)
                  throws CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `ShorthandManager.PropertyHandler`
  Overrides:
    `property` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.